<?php


// Determine what locale to use
switch (PHP_OS)
{
	case 'WINNT':
	case 'WIN32':
		$locale = 'finnish';
		break;

	case 'FreeBSD':
	case 'NetBSD':
	case 'OpenBSD':
		$locale = 'fi_FI.ISO8859-1';
		break;

	default:
		$locale = 'fi_FI';
		break;
}

// Attempt to set the locale
setlocale(LC_CTYPE, $locale);


// Language definitions for frequently used strings
$lang_common = array(

// Text orientation and encoding
'lang_direction'	=>	'ltr',	// ltr (Left-To-Right) or rtl (Right-To-Left)
'lang_encoding'		=>	'iso-8859-1',
'lang_multibyte'	=>	false,

// Notices
'Bad request'		=>	'Ei lydy ("Bad request"). Seuraamasi linkki on viallinen tai vanhentunut.',
'No view'			=>	'Lukeminen kielletty.', 	// Knnetty nkmtt kyttkohdetta. [J.A.]
'No permission'		=>	'Psy kielletty.', 		// Knnetty nkmtt kyttkohdetta. [J.A.]
'Bad referrer'		=>	'HTTP_REFERER-virhe. Saavuit osoitteesta, jota ei hyvksyt. Jos virhe toistuu, tarkista (tai pyyd tarkistamaan) ett keskustelualueen asetuksissa on "Base URL" oikein ja ett keskustelualueen osoitteena kytetn sit. Ongelman selvittmisest on listietoa PunBB:n dokumentaatiossa.',

// Topic/forum indicators
'New icon'			=>	'Uusia viestej',
'Normal icon'		=>	'<!-- -->',
'Closed icon'		=>	'Tm alue on suljettu',
'Redirect icon'		=>	'Siirretty', 			// Knnetty nkemtt kyttkohdetta. [J.A.]

// Miscellaneous
'Announcement'		=>	'Ilmoitus',				// Knnetty nkemtt kyttkohdetta. [J.A.]
'Options'			=>	'Asetukset',
'Actions'			=>	'Toimenpiteet',
'Submit'			=>	'Lhet',				// "name" of submit buttons
'Ban message'		=>	'Olet kirjoituskiellossa.',
'Ban message 2'		=>	'Pset kirjoituskiellosta',
'Ban message 3'		=>	'Kirjoituskiellon mrj jtti sinulle seuraavan viestin:',
'Ban message 4'		=>	'Tiedustelut keskustelualueen yllpitjlle',
'Never'				=>	'Ei koskaan',
'Today'				=>	'Tnn',
'Yesterday'			=>	'Eilen',
'Info'				=>	'Huom',					// a common table header - Knnetty nkemtt kyttkohdetta. [J.A.]
'Go back'			=>	'Siirry takaisin',
'Maintenance'		=>	'Yllpito',
'Redirecting'		=>	'Uudelleenohjaus',
'Click redirect'	=>	'Klikkaa tst, jos kyllstyit odottamaan (tai jos selaimesi ei automaatisesti seuraa uudelleenohjausta)',
'on'				=>	'kytss',				// as in "BBCode is on"
'off'				=>	'ei kytss',
'Invalid e-mail'	=>	'Antamasi shkpostiosoite on virheellinen.',
'required field'	=>	'on pakollinen tieto.',	// for javascript form validation
'Last post'			=>	'Viimeisin viesti',
'by'				=>	',',					// as in last post by someuser
'New posts'			=>	'Uudet&nbsp;viestit',	// the link that leads to the first new post (use &nbsp; for spaces)
'New posts info'	=>	'Siirry ensimiseen uuteen viestiin tss viestiketjussa.',	// the popup text for new posts links
'Username'			=>	'Kyttjtunnus',
'Password'			=>	'Salasana',
'E-mail'			=>	'Shkposti',
'Send e-mail'		=>	'Lhet shkpostia',
'Moderated by'		=>	'Valvojana',
'Registered'		=>	'Rekisterity',
'Subject'			=>	'Otsikko',
'Message'			=>	'Viesti',
'Topic'				=>	'Aihe',
'Forum'				=>	'Alue',
'Posts'				=>	'Viestit',
'Replies'			=>	'Vastauksia',
'Author'			=>	'Kirjoittaja',
'Pages'				=>	'Sivuja',
'BBCode'			=>	'BBCode',	// You probably shouldn't change this
'img tag'			=>	'img-tagi',
'Smilies'			=>	'Hymit',
'and'				=>	'ja',
'Image link'		=>	'kuva',			// This is displayed (i.e. <image>) instead of images when "Show images" is disabled in the profile
'wrote'				=>	'kirjoitti',	// For [quote]'s
'Code'				=>	'Koodia',		// For [code]'s
'Mailer'			=>	'',				// As in "MyForums Mailer" in the signature of outgoing e-mails - Jtetty tyhjksi taivutusongelmien vuoksi ja koska en vain keksi sopivaa sanaa. [J.A.]
'Important information'	=>	'Trke',
'Write message legend'	=>	'Kirjoita viesti ja lhet',

// Title
'Title'			=>	'Titteli', 					// "Asema" voisi olla parempi, mutta olkoon. [J.A.]
'Member'		=>	'Rekisterity kyttj',	// Default title
'Moderator'		=>	'Valvoja',
'Administrator'	=>	'Yllpitj',
'Banned'		=>	'Estetty kirjoittamasta', 	// Tai "kirjoituskiellossa"... [J.A.]
'Guest'			=>	'Vieras',

// Stuff for include/parser.php
'BBCode error'		=>	'Viestiss oleva muotoilukoodi on virheellinen.',
'BBCode error 1'	=>	'[/quote] -tagin alku puuttuu.',
'BBCode error 2'	=>	'[code] -tagin loppu puuttuu.',
'BBCode error 3'	=>	'[/code] -tagin alku puuttuu.',
'BBCode error 4'	=>	'[quote] -tagin loppu puuttuu.',
'BBCode error 5'	=>	'[/quote] -tagin alku puuttuu.',

// Stuff for the navigator (top of every page)
'Index'			=>	'Ptaso',
'User list'		=>	'Kyttjt',
'Rules'			=>  'Snnt',
'Search'		=>  'Haku',
'Register'		=>  'Rekisteridy',
'Login'			=>  'Kirjaudu sisn',
'Not logged in'	=>  'Et ole kirjautunut kyttjksi.',
'Profile'		=>	'Kyttjtiedot',
'Logout'		=>	'Kirjaudu ulos',
'Logged in as'	=>	'Olet kirjautunut tunnuksella',
'Admin'			=>	'Yllpito',
'Last visit'		=>	'Edellinen kynti',
'Show new posts'	=>	'Nyt edellisen kynnin jlkeen saapuneet viestit ',
'Mark all as read'	=>	'Merkitse kaikki viestiketjut luetuiksi',
'Link separator'	=>	'|',	// The text that separates links in the navigator

// Stuff for the page footer
'Board footer'			=>	'Keskustelualueen ns. alatunniste (footer)',		// Teksti on onneksi useimmiten nkymttmiss. [J.A.]
'Search links'			=>	'Hakulinkit',
'Show recent posts'		=>	'Nyt viimeisimmt viestit',
'Show unanswered posts'	=>	'Nyt vastaamattomat viestit',
'Show your posts'		=>	'Nyt omat viestit',
'Show subscriptions'	=>	'Aiheet, joista ilmoitetaan',
'Jump to'				=>	'Siirry alueelle',
'Go'					=>	'Siirry',		// submit button in forum jump
'Move topic'		=>	'Siirr aihe toiselle alueelle',
'Open topic'		=>	'Avaa keskustelu',
'Close topic'		=>	'Pt keskustelu',
'Unstick topic'		=>	'Poista trkeysmerkint',
'Stick topic'		=>	'Merkitse trkeksi',
'Moderate forum'	=>	'Valvojan temput',
'Delete posts'		=>	'Poista useita viestej',
'Debug table'		=>	'Debug information',	// Jtetty kntmtt jottei sanoma vristy. Nkynee vain niille, jotka osaavat englantia. [J.A.]

// For extern.php RSS feed
'RSS Desc Active'	=>	'Tll hetkell vilkkaimmat aiheet /',			// board_title will be appended to this string - Ihan loppuun pitisi viel saada lla-sijapte ja mahdollisesti muita taivutusptteit, mutta minks teet. [J.A.]
'RSS Desc New'		=>	'Tuoreimmat keskusteluaiheet /',				// board_title will be appended to this string - Ihan loppuun pitisi viel saada lla-sijapte ja mahdollisesti muita taivutusptteit, mutta minks teet. [J.A.]
'Posted'			=>	'Ensimminen viesti',							// The date/time a topic was started - Knnetty nkemtt kyttyhteytt. [J.A.]

'Powered by'		=> 'Softana',

// Realname
'Realname'			=>	'Nimi', // En uskaltanut laittaa parempaa vaihtoehtoa "Koko nimi", jos tm onkin se mik nkyy joka viestiss. [J.A.]
'First name'		=>	'Etunimi',
'Last name'			=>	'Sukunimi',

// Image Upload
'Post Gallery'			=>	'Kuvaliitteet',
'Image_Upload'			=>	'Kuvaliitteet',
'Uploaded_Images'		=>	'Kuvaliitteet',
'image_upload_show'		=>	'Lhet',
'image_upload_slots'	=>	'kuvaliitett',
'image_upload_limits'			=>	'Rajoitukset',
'image_upload_limits2'			=>	'kuvaa per viesti, kunkin kuvan tulee olla kooltaan',
'image_upload_pixels'			=>	'kuvapistett tai vhemmn sek alle',
'image_upload_size'			=> 'Kt',
'Previous Image'			=> 'Edellinen kuva',
'Back to Topic'			=> 'Takaisin viestiin',
'Next Image'			=> 'Seuraava kuva',
'Upload Results'			=> 'Kuvanlhetystiedot',
'Extension Banned'			=> 'ei ole sallittu',
'Size Too Big'			=> 'ylitt sallitun kuvan koon kilotavuissa',
'Dim Too Big'			=> 'ylitt sallitun kuvan koon kuvapisteiss',
'Uploaded'			=> 'Lhetetty',
'Images'			=> 'Kuvia',

// MOD Printable topic version string
'Print version'			=>	'Tulostettava sivu',	// The date/time a topic was started - H? [J.A.]

);
